
module subsys_tse_dma_rx (
	clock_clk,
	csr_writedata,
	csr_write,
	csr_byteenable,
	csr_readdata,
	csr_read,
	csr_address,
	csr_irq_irq,
	descriptor_slave_write,
	descriptor_slave_waitrequest,
	descriptor_slave_writedata,
	descriptor_slave_byteenable,
	mm_write_address,
	mm_write_write,
	mm_write_byteenable,
	mm_write_writedata,
	mm_write_waitrequest,
	mm_write_burstcount,
	reset_n_reset_n,
	response_waitrequest,
	response_byteenable,
	response_address,
	response_readdata,
	response_read,
	st_sink_data,
	st_sink_valid,
	st_sink_ready,
	st_sink_startofpacket,
	st_sink_endofpacket,
	st_sink_empty,
	st_sink_error);	

	input		clock_clk;
	input	[31:0]	csr_writedata;
	input		csr_write;
	input	[3:0]	csr_byteenable;
	output	[31:0]	csr_readdata;
	input		csr_read;
	input	[2:0]	csr_address;
	output		csr_irq_irq;
	input		descriptor_slave_write;
	output		descriptor_slave_waitrequest;
	input	[255:0]	descriptor_slave_writedata;
	input	[31:0]	descriptor_slave_byteenable;
	output	[31:0]	mm_write_address;
	output		mm_write_write;
	output	[3:0]	mm_write_byteenable;
	output	[31:0]	mm_write_writedata;
	input		mm_write_waitrequest;
	output	[2:0]	mm_write_burstcount;
	input		reset_n_reset_n;
	output		response_waitrequest;
	input	[3:0]	response_byteenable;
	input		response_address;
	output	[31:0]	response_readdata;
	input		response_read;
	input	[31:0]	st_sink_data;
	input		st_sink_valid;
	output		st_sink_ready;
	input		st_sink_startofpacket;
	input		st_sink_endofpacket;
	input	[1:0]	st_sink_empty;
	input	[5:0]	st_sink_error;
endmodule
