
module subsys_tse_dma_tx (
	clock_clk,
	csr_writedata,
	csr_write,
	csr_byteenable,
	csr_readdata,
	csr_read,
	csr_address,
	csr_irq_irq,
	descriptor_slave_write,
	descriptor_slave_waitrequest,
	descriptor_slave_writedata,
	descriptor_slave_byteenable,
	mm_read_address,
	mm_read_read,
	mm_read_byteenable,
	mm_read_readdata,
	mm_read_waitrequest,
	mm_read_readdatavalid,
	mm_read_burstcount,
	reset_n_reset_n,
	st_source_data,
	st_source_valid,
	st_source_ready,
	st_source_startofpacket,
	st_source_endofpacket,
	st_source_empty,
	st_source_error);	

	input		clock_clk;
	input	[31:0]	csr_writedata;
	input		csr_write;
	input	[3:0]	csr_byteenable;
	output	[31:0]	csr_readdata;
	input		csr_read;
	input	[2:0]	csr_address;
	output		csr_irq_irq;
	input		descriptor_slave_write;
	output		descriptor_slave_waitrequest;
	input	[255:0]	descriptor_slave_writedata;
	input	[31:0]	descriptor_slave_byteenable;
	output	[31:0]	mm_read_address;
	output		mm_read_read;
	output	[3:0]	mm_read_byteenable;
	input	[31:0]	mm_read_readdata;
	input		mm_read_waitrequest;
	input		mm_read_readdatavalid;
	output	[2:0]	mm_read_burstcount;
	input		reset_n_reset_n;
	output	[31:0]	st_source_data;
	output		st_source_valid;
	input		st_source_ready;
	output		st_source_startofpacket;
	output		st_source_endofpacket;
	output	[1:0]	st_source_empty;
	output		st_source_error;
endmodule
