
module subsys_tse_tse (
	reg_data_out,
	reg_rd,
	reg_data_in,
	reg_wr,
	reg_busy,
	reg_addr,
	clk,
	mdc,
	mdio_in,
	mdio_out,
	mdio_oen,
	xon_gen,
	xoff_gen,
	magic_wakeup,
	magic_sleep_n,
	ff_tx_crc_fwd,
	ff_tx_septy,
	tx_ff_uflow,
	ff_tx_a_full,
	ff_tx_a_empty,
	rx_err_stat,
	rx_frm_type,
	ff_rx_dsav,
	ff_rx_a_full,
	ff_rx_a_empty,
	ref_clk,
	ff_rx_data,
	ff_rx_eop,
	rx_err,
	ff_rx_mod,
	ff_rx_rdy,
	ff_rx_sop,
	ff_rx_dval,
	ff_rx_clk,
	reset,
	rx_analogreset,
	rx_cal_busy,
	rx_cdr_refclk,
	rx_digitalreset,
	rx_is_lockedtodata,
	rx_is_lockedtoref,
	rx_set_locktodata,
	rx_set_locktoref,
	rx_recovclkout,
	rxp,
	txp,
	led_crs,
	led_link,
	led_panel_link,
	led_col,
	led_an,
	led_char_err,
	led_disp_err,
	ff_tx_data,
	ff_tx_eop,
	ff_tx_err,
	ff_tx_mod,
	ff_tx_rdy,
	ff_tx_sop,
	ff_tx_wren,
	ff_tx_clk,
	tx_analogreset,
	tx_cal_busy,
	tx_digitalreset,
	tx_serial_clk);	

	output	[31:0]	reg_data_out;
	input		reg_rd;
	input	[31:0]	reg_data_in;
	input		reg_wr;
	output		reg_busy;
	input	[7:0]	reg_addr;
	input		clk;
	output		mdc;
	input		mdio_in;
	output		mdio_out;
	output		mdio_oen;
	input		xon_gen;
	input		xoff_gen;
	output		magic_wakeup;
	input		magic_sleep_n;
	input		ff_tx_crc_fwd;
	output		ff_tx_septy;
	output		tx_ff_uflow;
	output		ff_tx_a_full;
	output		ff_tx_a_empty;
	output	[17:0]	rx_err_stat;
	output	[3:0]	rx_frm_type;
	output		ff_rx_dsav;
	output		ff_rx_a_full;
	output		ff_rx_a_empty;
	input		ref_clk;
	output	[31:0]	ff_rx_data;
	output		ff_rx_eop;
	output	[5:0]	rx_err;
	output	[1:0]	ff_rx_mod;
	input		ff_rx_rdy;
	output		ff_rx_sop;
	output		ff_rx_dval;
	input		ff_rx_clk;
	input		reset;
	input	[0:0]	rx_analogreset;
	output	[0:0]	rx_cal_busy;
	input		rx_cdr_refclk;
	input	[0:0]	rx_digitalreset;
	output	[0:0]	rx_is_lockedtodata;
	output	[0:0]	rx_is_lockedtoref;
	input	[0:0]	rx_set_locktodata;
	input	[0:0]	rx_set_locktoref;
	output		rx_recovclkout;
	input		rxp;
	output		txp;
	output		led_crs;
	output		led_link;
	output		led_panel_link;
	output		led_col;
	output		led_an;
	output		led_char_err;
	output		led_disp_err;
	input	[31:0]	ff_tx_data;
	input		ff_tx_eop;
	input		ff_tx_err;
	input	[1:0]	ff_tx_mod;
	output		ff_tx_rdy;
	input		ff_tx_sop;
	input		ff_tx_wren;
	input		ff_tx_clk;
	input	[0:0]	tx_analogreset;
	output	[0:0]	tx_cal_busy;
	input	[0:0]	tx_digitalreset;
	input	[0:0]	tx_serial_clk;
endmodule
