	subsys_tse_tse u0 (
		.reg_data_out       (_connected_to_reg_data_out_),       //                  control_port.readdata
		.reg_rd             (_connected_to_reg_rd_),             //                              .read
		.reg_data_in        (_connected_to_reg_data_in_),        //                              .writedata
		.reg_wr             (_connected_to_reg_wr_),             //                              .write
		.reg_busy           (_connected_to_reg_busy_),           //                              .waitrequest
		.reg_addr           (_connected_to_reg_addr_),           //                              .address
		.clk                (_connected_to_clk_),                // control_port_clock_connection.clk
		.mdc                (_connected_to_mdc_),                //           mac_mdio_connection.mdc
		.mdio_in            (_connected_to_mdio_in_),            //                              .mdio_in
		.mdio_out           (_connected_to_mdio_out_),           //                              .mdio_out
		.mdio_oen           (_connected_to_mdio_oen_),           //                              .mdio_oen
		.xon_gen            (_connected_to_xon_gen_),            //           mac_misc_connection.xon_gen
		.xoff_gen           (_connected_to_xoff_gen_),           //                              .xoff_gen
		.magic_wakeup       (_connected_to_magic_wakeup_),       //                              .magic_wakeup
		.magic_sleep_n      (_connected_to_magic_sleep_n_),      //                              .magic_sleep_n
		.ff_tx_crc_fwd      (_connected_to_ff_tx_crc_fwd_),      //                              .ff_tx_crc_fwd
		.ff_tx_septy        (_connected_to_ff_tx_septy_),        //                              .ff_tx_septy
		.tx_ff_uflow        (_connected_to_tx_ff_uflow_),        //                              .tx_ff_uflow
		.ff_tx_a_full       (_connected_to_ff_tx_a_full_),       //                              .ff_tx_a_full
		.ff_tx_a_empty      (_connected_to_ff_tx_a_empty_),      //                              .ff_tx_a_empty
		.rx_err_stat        (_connected_to_rx_err_stat_),        //                              .rx_err_stat
		.rx_frm_type        (_connected_to_rx_frm_type_),        //                              .rx_frm_type
		.ff_rx_dsav         (_connected_to_ff_rx_dsav_),         //                              .ff_rx_dsav
		.ff_rx_a_full       (_connected_to_ff_rx_a_full_),       //                              .ff_rx_a_full
		.ff_rx_a_empty      (_connected_to_ff_rx_a_empty_),      //                              .ff_rx_a_empty
		.ref_clk            (_connected_to_ref_clk_),            //  pcs_ref_clk_clock_connection.clk
		.ff_rx_data         (_connected_to_ff_rx_data_),         //                       receive.data
		.ff_rx_eop          (_connected_to_ff_rx_eop_),          //                              .endofpacket
		.rx_err             (_connected_to_rx_err_),             //                              .error
		.ff_rx_mod          (_connected_to_ff_rx_mod_),          //                              .empty
		.ff_rx_rdy          (_connected_to_ff_rx_rdy_),          //                              .ready
		.ff_rx_sop          (_connected_to_ff_rx_sop_),          //                              .startofpacket
		.ff_rx_dval         (_connected_to_ff_rx_dval_),         //                              .valid
		.ff_rx_clk          (_connected_to_ff_rx_clk_),          //      receive_clock_connection.clk
		.reset              (_connected_to_reset_),              //              reset_connection.reset
		.rx_analogreset     (_connected_to_rx_analogreset_),     //                rx_analogreset.rx_analogreset
		.rx_cal_busy        (_connected_to_rx_cal_busy_),        //                   rx_cal_busy.rx_cal_busy
		.rx_cdr_refclk      (_connected_to_rx_cdr_refclk_),      //                 rx_cdr_refclk.clk
		.rx_digitalreset    (_connected_to_rx_digitalreset_),    //               rx_digitalreset.rx_digitalreset
		.rx_is_lockedtodata (_connected_to_rx_is_lockedtodata_), //            rx_is_lockedtodata.rx_is_lockedtodata
		.rx_is_lockedtoref  (_connected_to_rx_is_lockedtoref_),  //             rx_is_lockedtoref.rx_is_lockedtoref
		.rx_set_locktodata  (_connected_to_rx_set_locktodata_),  //             rx_set_locktodata.rx_set_locktodata
		.rx_set_locktoref   (_connected_to_rx_set_locktoref_),   //              rx_set_locktoref.rx_set_locktoref
		.rx_recovclkout     (_connected_to_rx_recovclkout_),     //     serdes_control_connection.export
		.rxp                (_connected_to_rxp_),                //             serial_connection.rxp
		.txp                (_connected_to_txp_),                //                              .txp
		.led_crs            (_connected_to_led_crs_),            //         status_led_connection.crs
		.led_link           (_connected_to_led_link_),           //                              .link
		.led_panel_link     (_connected_to_led_panel_link_),     //                              .panel_link
		.led_col            (_connected_to_led_col_),            //                              .col
		.led_an             (_connected_to_led_an_),             //                              .an
		.led_char_err       (_connected_to_led_char_err_),       //                              .char_err
		.led_disp_err       (_connected_to_led_disp_err_),       //                              .disp_err
		.ff_tx_data         (_connected_to_ff_tx_data_),         //                      transmit.data
		.ff_tx_eop          (_connected_to_ff_tx_eop_),          //                              .endofpacket
		.ff_tx_err          (_connected_to_ff_tx_err_),          //                              .error
		.ff_tx_mod          (_connected_to_ff_tx_mod_),          //                              .empty
		.ff_tx_rdy          (_connected_to_ff_tx_rdy_),          //                              .ready
		.ff_tx_sop          (_connected_to_ff_tx_sop_),          //                              .startofpacket
		.ff_tx_wren         (_connected_to_ff_tx_wren_),         //                              .valid
		.ff_tx_clk          (_connected_to_ff_tx_clk_),          //     transmit_clock_connection.clk
		.tx_analogreset     (_connected_to_tx_analogreset_),     //                tx_analogreset.tx_analogreset
		.tx_cal_busy        (_connected_to_tx_cal_busy_),        //                   tx_cal_busy.tx_cal_busy
		.tx_digitalreset    (_connected_to_tx_digitalreset_),    //               tx_digitalreset.tx_digitalreset
		.tx_serial_clk      (_connected_to_tx_serial_clk_)       //                 tx_serial_clk.clk
	);

